• 로그인지금 시작하기

사용자의 편의를 위해 제공되는 기계 번역입니다.

영문본과 번역본이 일치하지 않는 경우 영문본이 우선합니다. 보다 자세한 내용은 를 방문하시기 바랍니다.

문제 신고

C SDK 호환성 및 요구 사항

New Relic의 C SDK는 New Relic과 통신하도록 사용자 지정할 수 있는 일반 라이브러리를 제공합니다. New Relic의 C SDK를 설치하기 전에 시스템이 이러한 요구 사항을 충족하는지 확인하십시오. C SDK 라이선스 문서 도 참조하십시오.

C SDK를 사용해 보고 싶으십니까? 무료 로 New Relic 계정을 만드 십시오! 신용 카드가 필요하지 않습니다.

언어 버전

C SDK를 사용하면 다음과 같은 경우 Linux에서 모든 애플리케이션을 계측할 수 있습니다.

  • 소스 코드에 대한 액세스 권한이 있어야 합니다.
  • 대상 언어는 C 라이브러리를 가져올 수 있어야 합니다.

C SDK를 사용하여 C 및 C++로 작성된 애플리케이션을 위한 계측을 생성할 수 있습니다. C 또는 C++로 구현된 Perl과 같은 언어와 C와 외부 함수 인터페이스가 있는 모든 언어에서 사용할 수도 있습니다.

운영 환경

C SDK는 다음을 사용하는 64비트 Linux 운영 체제에서 작동합니다.

  • gcc 4.8 이상
  • glibc 2.17 이상
  • 커널 버전 2.6.26 이상
  • libpcre 8.20 이상
  • 라이브러리 스레드
  • cmake 2.8 이상

New Relic 데몬을 컴파일하려면 Go 1.7 이상이 필요합니다.

라이센스 키

데이터를 보고하려는 계정에 대한 New Relic 라이센스 키 가 필요합니다.

프로세서 유형

  • Intel(및 호환 가능) 플랫폼만 해당
  • SSE2 명령어 지원이 필요합니다.

보안 요구 사항

데이터 수집을 위한 표준 보안 수단으로 앱 서버는 SHA-2(256비트)를 지원해야 합니다. SHA-1은 지원되지 않습니다.

데이터베이스 및 인스턴스 수준 성능

다양한 데이터베이스 및 데이터베이스 드라이버에 대한 인스턴스 세부 정보를 수집할 수 있습니다. 다음 SQL 기반 데이터베이스 플랫폼에 대한 느린 쿼리 추적 세부 정보도 볼 수 있습니다.

  • 불새
  • 인포믹스
  • 마이크로소프트 SQL 서버
  • MySQL
  • 신탁
  • 포스트그레스
  • SQLite
  • 사이베이스
Copyright © 2023 New Relic Inc.

This site is protected by reCAPTCHA and the Google Privacy Policy and Terms of Service apply.